
@font-face {
    font-family: 'VarelaRound';
    src: url('VarelaRound-Regular.ttf');
}

/* ====================================================   GLOBAL DEFINITION   ==================================================== */

/* alternatives Boxmodell */
html { 
  box-sizing: border-box; 
} 

*, ::before, ::after { 
  box-sizing: inherit; 
}

body {
	padding: 0 1em;
	min-height: 100vh;
	font-family: 'VarelaRound', serif;
}

@media (min-width: 80em) {
	body {
		display: grid;
		grid-template-columns: 1fr 21em;
		grid-template-rows: min-content 1fr min-content;	
		min-height: 100vh;
	}
}


header {
	grid-column: 1 / 3;	
}

header * {
	text-align: center;
}

/* ====================================================   ARTICLE   ==================================================== */

header h1,
article h2,
article h3 {
	font-family: 'VarelaRound', serif;
	color: #ff8226;
}

header h1 {
	font-size: 3em;
	margin-bottom: 0;
}

article h2,
article h3 {
	font-size: 2em;
}

@media (min-width: 50em) {
article {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(6, min-content);
}
}

article h2 {
	grid-column: 1 / 2;
	grid-row: 1 / 2;
	z-index: 2;
}

article p {
	grid-column: 1 / 2;
	grid-row: 2 / -1;
}

article img {
	object-fit: cover;
	object-position: 50% 0;
	border-radius: 50%;
	width: 25em;
	height: 25em;
}

@media (min-width: 70em) {

article p {
	grid-row: 1 / -1;
}

article img {
	padding: 2em;
	width: 40em;
	height: 40em;
}
}

article span {
	display: inline-block;
	width: 90%;
}

article h3, article ul, article ol, article blockquote, article p:nth-of-type(2) {
	grid-column: 2 / 3;
}

/* ====================================================   Blockquote   ==================================================== */

blockquote {
	width: 20em;
	margin: 3em auto;
	padding: 4em 1em 1em;
	position: relative;
	display: block;
	font: bold 1.2em/150% Georgia, Times, italic;
	color: #ff8226;
	/* color: rgba(235,150,108,0.8); */
	text-shadow: 0 1px 1px rgba(255,255,255,0.5);
}

blockquote::before {
	content: '';
	width: 16em;
	height: 16em;
	border-radius: 50%;
	border-left: 5px solid rgba(255,130,38,0.5);
	position: absolute;
	top: -2em;
	left: -1em;
	z-index: -1;
}

blockquote::after {
    font-family: 'icons';
    background: #ff8226;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    content: '\275e';
    position: absolute;
    font-size: 4em;
    line-height: 120%;
    text-align: center;
    top: 0;
    left: 50%;
    margin-left: -65px;
    color: rgba(255,255,255,0.5);
    text-shadow: 0 1px 1px rgba(255,255,255,0.1);
}

blockquote cite {
	text-transform: uppercase;
	font-size: 1rem;
	padding-top: 10px;
	font-weight: bold;
	color: #ff8226;
	text-shadow: 0 1px 1px rgba(255,255,255,0.1);
	float: right;
}

@media (min-width: 100em) {
article {
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(3, min-content);
}	
article h3:nth-of-type(2) {
	grid-column: 3 / 4;
	grid-row:    1 / 2;
}

article ul, article ol {
	grid-column: 3 / 4;
	grid-row:    2 / 3;
}
article blockquote {
	grid-column: 2 / 4;
	grid-row:    3 / 4;
}
}

@media (min-width: 80em) {
#kontakt{
	background: url("../img/halbkreis.svg") no-repeat;
	background-size: contain;
	padding: 8em 0 3em 5em;
}
} 

#kontakt h2 {
	padding-left: 2em;
}

#kontakt img {
	margin-top:1em;
	width: 8em;
	float:right;
}

dl{ 
  display: grid; 
  grid-template-columns: 6em 10em; 
}
dd { 
  margin: 0; 
  grid-column: 2 / 3;    
}
dl dd {
  margin-bottom: .5em;
}

a[href^="tel"] { white-space: nowrap; }

footer {
	grid-column: 1 / 3;	
	display: grid;
	grid-template-columns: repeat(2, 1fr);
}

#currentstyle {
	color: #ff8226;
	font-weight: bold;
}

